## Tcl8.6.2/Tk8.6.2 Documentation > Tk Commands, version 8.6.2 > ttk_separator

### Tcl/Tk Applications | Tcl Commands | Tk Commands | [incr Tcl] Package Commands | SQLite3 Package Commands | TDBC Package Commands | tdbc::mysql Package Commands | tdbc::odbc Package Commands | tdbc::postgres Package Commands | tdbc::sqlite3 Package Commands | Thread Package Commands | Tcl C API | Tk C API | [incr Tcl] Package C API | TDBC Package C API

  NAME
    ttk::separator — Separator bar
  SYNOPSIS
  DESCRIPTION
  STANDARD OPTIONS
    -class, undefined, undefined
    -cursor, cursor, Cursor
    -state, state, State
    -style, style, Style
    -takefocus, takeFocus, TakeFocus
  WIDGET-SPECIFIC OPTIONS
    -orient, orient, Orient
  WIDGET COMMAND
  SEE ALSO
  KEYWORDS

### NAME

ttk::separator — Separator bar

### SYNOPSIS

ttk::separator pathName ?options?

### DESCRIPTION

A ttk::separator widget displays a horizontal or vertical separator bar.

### STANDARD OPTIONS

-class, undefined, undefined
-cursor, cursor, Cursor
-state, state, State
-style, style, Style
-takefocus, takeFocus, TakeFocus

### WIDGET-SPECIFIC OPTIONS

Command-Line Name: -orient
Database Name: orient
Database Class: Orient
  One of horizontal or vertical. Specifies the orientation of the separator.

### WIDGET COMMAND

Separator widgets support the standard cget, configure, identify, instate, and state methods. No other widget methods are used.

### SEE ALSO

ttk::widget

### KEYWORDS

widget, separator
Copyright © 2004 Joe English